Skip to main content
PUT
Update Preset

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

preset_id
string<uuid>
required

Body

application/json

Request model for updating an existing preset.

title
string | null

Preset title

Required string length: 1 - 200
icon
string | null

Icon identifier

Maximum string length: 100
category
string | null

Category name

Maximum string length: 100
prompt_ids
string[] | null

Array of prompt UUIDs

Minimum array length: 1

Response

Successful Response

Response model for a single preset.

id
string
required
email
string
required
preset_type
string
required
title
string
required
prompt_ids
string[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
icon
string | null
category
string | null